use "C:\Users\Olav Yoo\OneDrive - NTNU\Studie\Vår 2020\BSC\Datasett BSC\data2901-Canada (1).dta" //Importerer datasettet for Canada - Bruk egen filplassering
append using "data2901-Norway.dta" //Legger til datasettet for Norge
tab idcntry //Kontrollerer at datasettene har blitt sammensatt korrekt
ssc install asdoc //asdoc gjør det mulig å få ut hypotesetester i word
ssc install outreg2, replace // Innst outreg
ssc install estout, replace  // Innst estout
gen d_Norge=0 //Genererer en dummy for Norge for fremtidig modell
replace d_Norge=1 if idcntry == 578 //Norge sin ID = 578
gen Yspeak_testlang_home=0 if speak_testlang_home!=.
replace Yspeak_testlang_home=1 if speak_testlang_home==1 //Genererer dummy for de som snakker testspråket hjemme til enhver tid
gen Sspeak_testlang_home=0 if speak_testlang_home!=.
replace Sspeak_testlang_home=1 if speak_testlang_home==2 //Genererer dummy for de som av og til snakker testspråket hjemme
gen Nspeak_testlang_home=0 if speak_testlang_home!=.
replace Nspeak_testlang_home=1 if speak_testlang_home==3 //Genererer dummy for de som aldri snakker testspråket hjemme
gen SumSpeak_testlang_home_dummy = Yspeak_testlang_home + Sspeak_testlang_home + Nspeak_testlang_home //genererer sum av dummy
sum SumSpeak_testlang_home_dummy //Kontrollerer at dummyene er rette
reg read not_born par_not_born Sspeak_testlang_home Nspeak_testlang_home //REGRESJON MODELL I
gen income_below_40K = 0 if income !=.
replace income_below_40K=1 if income < 4 //=1 for >40K inntekt
gen par_edu_LowerSecOrNo=0 if par_edu!=.
replace par_edu_LowerSecOrNo=1 if par_edu > 3 //=1 for ingen, eller ungdomsskoleutdanning
gen par_emp_lessOrNoWork=0 if par_emp!=.
replace par_emp_lessOrNoWork=1 if par_emp > 2 //=1 deltid / arbeidsløs
gen books_home_below100=0 if books_home!=.
replace books_home_below100=1 if books_home<4 //=1 100 eller førre bøker 
rename Yspeak_testlang_home spk_tstl_hm_Y //-32
rename Nspeak_testlang_home spk_tstl_hm_N //
rename Sspeak_testlang_home spk_tstl_hm_S //	
rename income_below_40K inc_B40K //
rename par_edu_LowerSecOrNo pedu_LwScN //
rename par_emp_lessOrNoWork pemp_LwNw //
rename books_home_below100 bkhm_B100 //Gir enklere navn fra 25-32
reg read not_born par_not_born spk_tstl_hm_S spk_tstl_hm_N inc_B40K pedu_LwScN pemp_LwNw bkhm_B100 d_Norge girl //REGRESJON MODELL II
reg read not_born par_not_born spk_tstl_hm_N spk_tstl_hm_S //Regresjon for modell I
reg read not_born par_not_born spk_tstl_hm_N spk_tstl_hm_S //Regresjon med lagret estimat r1 for modell I
est store r1 //LAGRET ESTIMAT MODELL I
reg read not_born par_not_born spk_tstl_hm_S spk_tstl_hm_N inc_B40K pedu_LwScN pemp_LwNw bkhm_B100 d_Norge girl //Regresjon med lagret estimat r2 for modell II
est store r2 //LAGRET ESTIMAT MODELL II
gen tc_ageU39=0 if teacher_age!=.
replace tc_ageU39=1 if teacher_age < 4 //1=alder under 40, lærer
rename teacher_exp tch_exp //-45
rename teacher_age tch_age //
rename teacher_fem tch_fem //
rename teacher_cert tch_ct //
rename teacher_edu tch_eu//enklere navn for modellforkorting, 41-45
gen norge_not_born = not_born*d_Norge //Int variabel 1
gen norge_par_not_born = par_not_born*d_Norge //Int variabel 2
reg read not_born par_not_born spk_tstl_hm_N spk_tstl_hm_S inc_B40K pedu_LwScN pemp_LwNw bkhm_B100 girl d_Norge tch_exp tc_ageU39 tch_fem tch_ct norge_par_not_born norge_not_born
est store r3 //LAGRET ESTIMAT MODELL III
test norge_not_born //ttest
sum tch_eu //sjekker observasjoner for tch_eu->droppes gr. ingen obs (kollineær)
gen pct_dsaO25=0 if pct_disadv!=.
replace pct_dsaO25=1 if pct_disadv < 3 //Over 25% fra økonomisk svake hjem
gen pct_abO25=0 if pct_abroad!=.
replace pct_abO25=1 if pct_abroad<3 //Over 25% født i utlandet 
label variable pct_dsaO25 "1=over 25 pst fra økonomisk svake hjem" //-71
label variable tc_ageU39 "1=alder under 39 lærer" //
label variable pct_dsaO25 "1=over 25 pst elever fra økonomisk svake hjem"//
label variable pct_abO25 "1=over 25 pst innvandrerelever"//
label variable bkhm_B100 "1=under 100 bøker i hjemmet"//
label variable pedu_LwScN "1=ungdomsskole, eller inngen utdanning foreldre"//
label variable pemp_LwNw "deltid, eller arbeidsløse foreldre"//
label variable inc_B40K "inntekt under 40k årlig"//
label variable spk_tstl_hm_N "snakker ikke testsrpåk hjemme"//
label variable spk_tstl_hm_S "snakker testspråk av og til hjemme"//
label variable spk_tstl_hm_Y "snakker alltid teststpråk hjemme"//
label variable d_Norge "1=Norge"//
label variable tch_exp "erfaring lærer"//
label variable tch_age "alder lærer"//
label variable tch_fem "1=kvinne"//
label variable tch_ct "1=sertifisert"//
label variable t//ch_ct "1=sertifisert lærer"//
label variable tch_fem "1=kvinne lærer"//
label variable tch_fem "1=kvinne,lærer"//
label variable tch_eu "1= uni utdanning, lærer" //52-71, labels på dummyer for enklere lesing. 
reg read not_born par_not_born spk_tstl_hm_N spk_tstl_hm_S inc_B40K pedu_LwScN pemp_LwNw bkhm_B100 girl d_Norge tch_exp tc_ageU39 tch_fem tch_ct norge_par_not_born norge_not_born pct_dsaO25 pct_abO25 schoolsize4 //REGRESJON MODELL IV
est store r4 //LAGRET ESTIMAT MODELL IV
quietly regress read not_born par_not_born spk_tstl_hm_N spk_tstl_hm_S inc_B40K pedu_LwScN pemp_LwNw bkhm_B100 girl d_Norge tch_exp tc_ageU39 tch_fem tch_ct norge_par_not_born norge_not_born pct_dsaO25 pct_abO25 schoolsize4, robust // robuste std avvik
imtest // white-test
estat hettest //Breusch-Pagan test for heterosked.
//estat ovtest //Ramsey-reset for utelatte variabler, kan være nyttig
esttab using vif.rtf , aux(vif 2)  //printe ut vif 
asdoc corr not_born par_not_born spk_tstl_hm_N spk_tstl_hm_S inc_B40K pedu_LwScN pemp_LwNw bkhm_B100 girl d_Norge tch_exp tc_ageU39 tch_fem tch_ct norge_par_not_born norge_not_born pct_dsaO25 pct_abO25 schoolsize4, nonum replace // Printing av korrelasjonsmatrise

